---
title: Breaking on exceptions
slug: Tools/Debugger/How_to/Breaking_on_exceptions
---
<div>{{ToolsSidebar}}</div>

<div>To instruct the debugger to pause on an <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Error">exception</a>, tick these checkboxes in the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Breakpoints_list">Breakpoints list</a>:</div>

<ul>
 <li>Pause on exceptions</li>
 <li>Pause on caught exceptions</li>
</ul>

<div><img alt='Screen shot showing "Pause on exceptions" and "Pause on caught exceptions" checkboxes' src="https://mdn.mozillademos.org/files/16397/version64UI.png" style="height: 167px; width: 506px;"></div>

<p>When an exception occurs, the line where it occurs is highlighted in the source pane, with a squiggly red line under the problematic code. A tooltip describes the exception. Starting in Firefox 80, a disclosure triangle within the tooltip reveals a stack trace.</p>

<p><img alt="Screenshot of a tooltip for an exception" src="https://mdn.mozillademos.org/files/17354/exception-tooltip-stacktrace.png" style="border-style: solid; border-width: 1px; height: 284px; width: 465px;"></p>
